@charset "UTF-8";
/* CSS Document */

/*~~~~~ Notes ~~~~~
- Colors used:
    Black = rgb(12, 12, 12)
    White = rgb(255, 255, 255) or #FFFFFF
    Transparent White: rgba(255, 255, 255, 0.97)
    Grey = #757575
    Teal = #17C2AB;
    Burgundy = #c34a18


/**********************
Smartphone size
**********************/

html, body {
    height: 100%;
}

body {
    display: block;
    background-color: rgb(12, 12, 12);
    margin: 0;
}

header {    
    height: 100px;
    width: 100%;
    box-sizing: border-box;
    margin: 0 0 20px 0;
    position: static;
    padding: 30px 10px 20px 30px;
}

header img {
    max-height: 80px;
}

#skipLink {
    position: absolute;
    top: -50%;
}

#homeIcon {
    position: fixed;
    margin: auto;
    z-index: 1;
}

#titleheader {
    display: block;
    position: fixed;
    z-index: 1;
    font-family: europa,sans-serif;
   font-weight: 400;
   font-style: normal;
    font-size: 2em;
    letter-spacing: 0.7pt;
    color: white;
    margin: auto auto auto 50px; 
}

.nav {
    height: 97%;
    width: 95%;
    position: fixed;
    z-index: 2;
    background-color: rgba(255, 255, 255, 0.97);
    overflow-x: hidden;
    transition: 0.6s;
    transition-property: all;
    transition-timing-function: ease-in-out;
    text-align: left;
    font-family: iAWriterDuospace-Regular, "Courier New", monospace;
    font-size: 1em;
    white-space: nowrap;
    top: 200%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 3px;
}


.navcontents {
    height: 65%;
    overflow: auto;
    position: relative;
    top: 65px;
}

.nav ul {
    list-style: none;
    padding-inline-start: 0;
    margin: 0;
    padding: 0;
}

.nav ul a {
    padding: 12px 32px 12px 30px;
    text-decoration: none;
    display: block;
    opacity: 1;
    white-space: normal;
}

.nav ul a:hover {
    color: rgb(12, 12, 12);
    text-decoration: underline;
    text-decoration-color: #c34a18;
    -moz-text-decoration-color: #c34a18;
    -webkit-text-decoration-color: #c34a18;
    transition: none;
}

.nav .social {
    margin: 12px 10px;
}

#name {
    color: rgb(12, 12, 12);
    font-family: europa,sans-serif;
   font-weight: 300;
   font-style: normal;
    font-size: 2.1em;
    text-transform: uppercase;
    word-spacing: -1px;
    width: auto;
    text-align: center;
    position: absolute;
    top: 20px;
    left: 45%;
    transform: translateX(-45%);
    margin: auto;
}

#name em {
   color: #5A7037;
   font-style: normal;
}

#menubtn {
    font-family: iAWriterDuospace-Regular, "Courier New", monospace;
    font-size: 1.5em;
    color: black;
    background-color: rgba(255, 255, 255, 0.97);
    z-index: 1;
    cursor: pointer;
    position: fixed;
    bottom: 6%;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    box-sizing: border-box;
    border: 2px solid transparent;
    border-radius: 3px;
}

#menubtn:hover {
    border: 2px solid #c34a18;
    border-radius: 3px;
}

#closebtn {
    position: fixed;
    text-align: center;
    bottom: 4%;
    left: 50%;
    transform: translateX(-50%);
    font-size: 2em;
    margin-right: 0;
}

#current {
    color: #c34a18;
    font-weight: bold;
}

.social a {
    display: inline;
    padding: 20px;
}

hr {
    opacity: 0.2;
    width: 90%;
}

.bodycontent {
    margin-bottom: 85px;
}

.mainContent {
    margin: 20px;
    font-family: iAWriterDuospace-Regular, "Courier New", monospace;
    -webkit-column-count: 1;
    -moz-column-count: 1;
    column-count: 1;
    -webkit-column-width: auto;
    -moz-column-width: auto;
    column-width: auto;
}

.mainContent img {
    width: 100%;
    height: auto;
    margin: auto auto 15px auto;
}

.icon {
    margin: 5px auto;
    height: 25px;
    width: auto;
    border: 0;
}

footer {
    position: absolute;
    text-align: center;
    font-family: HelveticaNeue, "Helvetica Neue", Helvetica, Arial, "sans-serif";
    font-size: .55em;
    color: #757575;
    line-height: 9pt;
    bottom: 75px;
    left: 50%;
    transform: translateX(-50%);
}

/**********************
Tablet size
**********************/
@media screen and (min-width: 768px) {
    
    #menubtn {
        display: none;
    }

    #closebtn {
        display: none;  
    }

    .nav {
        height: 94%;
        width: 256px;
        transform: none;
        left: 0;
        top: 0; 
        margin: 20px;
    }

    .navcontents {
        box-sizing: border-box;
        height: 75%;
    }

    .nav .social {
        margin: 12px 20px;
    }

    .social a {
        padding: 10px;
    }

    footer {
        font-size: 6pt;
        bottom: 15px;
    }

    .bodycontent {
        position: relative;
        width: auto;
        margin: 20px auto 20px 276px;
        height: 100%;
    }

    header {
        padding-top: 18px;
    }

    #photographytitle {
        font-size: 2.1em;
    }

    .mainContent {
        -webkit-column-count: 2;
        -moz-column-count: 2;
        column-count: 2;
        -webkit-column-width: auto;
        -moz-column-width: auto;
        column-width: auto;
        column-gap: 10px;
    }

    .mainContent img {
        margin-bottom: 5px;
    }

}
/**********************
Desktop size
**********************/
@media screen and (min-width: 1024px) {
    
    .mainContent {
        -webkit-column-count: 3;
        -moz-column-count: 3;
        column-count: 3;
    }
}

/**********************
1440p width size
**********************/
@media screen and (min-width: 1440px) {
    .mainContent {
        -webkit-column-count: 4;
        -moz-column-count: 4;
        column-count: 4;
    }
}

/**********************
Anchor link styles
**********************/

a:link {
	color: rgb(12, 12, 12);
	text-decoration: none;
}

a:visited {
	color: rgb(12, 12, 12);
	text-decoration: none;
}

a:hover {
	color: rgb(12, 12, 12);
    text-decoration: underline;
    text-decoration-color: #c34a18;
    -moz-text-decoration-color: #c34a18;
    -webkit-text-decoration-color: #c34a18;
    transition: none;
}

/**********************
Imported fonts
**********************/

@font-face {
	font-family: iAWriterDuospace-Bold;
	src: url(../fonts/iAWriterDuospace-Bold.otf);
}

@font-face {
	font-family: iAWriterDuospace-BoldItalic;
	src: url(../fonts/iAWriterDuospace-BoldItalic.otf);
}

@font-face {
	font-family: iAWriterDuospace-Regular;
	src: url(../fonts/iAWriterDuospace-Regular.otf)
}

@font-face {
	font-family: iAWriterDuospace-RegularItalic;
	src: url(../fonts/iAWriterDuospace-RegularItalic.otf);
}

@font-face {
    font-family: HelveticaNeue;
    src: url(../fonts/HelveticaNeue.ttf);
}

@font-face {
    font-family: HelveticaNeueBd;
    src: url(../fonts/HelveticaNeueBd.ttf);
}

@font-face {
    font-family: HelveticaNeueLt;
    src: url(../fonts/HelveticaNeueLt.ttf);
}

@font-face {
    font-family: HelveticaNeueMd;
    src: url(../fonts/HelveticaNeueMed.ttf);
}